
package cn.axzo.msg.center.api.request;


import com.alibaba.fastjson.JSON;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author 王煜皓
 * @date 2020/10/14 11:52
 * @description 发送消息请求相关参数
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class MsgBody4Guest {
  /**
   * 聊天模式类型 安心筑项目使用1 临时聊天
   */
  private Integer cy=1;
  /**
   * 消息发送者的id
   */
  private String f;
  /**
   * 消息内容字段
   */
  private String m;
  /**
   * 消息内容扩展字段2
   */
  private String m2;
  /**
   * 消息内容扩展字段3
   */
  private String m3;
  /**
   * 消息发送人的昵称
   */
  private String nickName;
  /**
   * 消息接收者的id
   */
  private String t;
  /**
   * 普通文字消息0 图片消息1 语音留言消息2
   */
  private Integer ty;
  private String userAvatarFileName;

  /**
   * appClient : cmp: 管理端 cm: 工人
   */
  public String appClient;

  private Long ouId;

  /**
   * push类型: system(系统消息)、op(运营消息)
   */
  private String pushType;

  public boolean isWorkMessage() {
    return "system".equals(pushType);
  }

  public boolean isOpMessage() {
    return "op".equals(pushType);
  }

  public boolean isForManager() {
    return "cmp".equals(appClient);
  }

  public boolean isForWorker() {
    return "cm".equals(appClient);
  }

  @Override
  public String toString() {
    return JSON.toJSONString(this);
  }
}
